import { ArtColumn } from '../interfaces';
import { RenderInfo } from './interfaces';
import { BaseTable } from './table';
export declare function getLeftNestedLockCount(columns: ArtColumn[]): number;
export declare function calculateRenderInfo(table: BaseTable): RenderInfo;
